<?php

namespace Autoloading\Exception
{

	/**
	 * Exceptions used by \Autoloading package
	 * @author miguel.trias
	 */

	class Exception extends \Exception {}

	class CantReadFile extends Exception
	{
		public function __construct($file)
		{
			parent::__construct("Cant read file $file",__LINE__);
		}
	}

	class CantRegister extends Exception {}

	class CantUnRegister extends Exception {}

	class CantCreateMapsDirectory extends Exception
	{
		public function __construct($path)
		{
			parent::__construct("Cant create maps cache storage directory: <$path>",__LINE__);
		}
	}

	class CantWriteMapsDirectory extends Exception
	{
		public function __construct($path)
		{
			parent::__construct("Cant write in directory $path",__LINE__);
		}
	}

	class PathIsNotADirectory extends Exception
	{
		public function __construct($path)
		{
			parent::__construct("The string <$path> is not a valid directory.",__LINE__);
		}
	}

	class CantUnLinkMapFile extends Exception
	{
		public function __construct($mapFile)
		{
			parent::__construct("Cant unlink file $mapFile",__LINE__);
		}
	}

	class InvalidMapCachingFormat extends Exception
	{
		 public function __construct($format)
		 {
				parent::__construct("Format $format is not a valid format for storing maps cache",__LINE__);
		 }
	}

	class MapsPathNotSet extends Exception
	{
		 public function __construct()
		 {
				parent::__construct("Maps cache path not set",__LINE__);
		 }
	}

	/**
	 * Indicates an invalid type in a variable
	 *
	 * The message of this exception indicates the expected and the actual type
	 */
	class InvalidDataType extends Exception
	{
		public function __construct($typeExpected,$actualData)
		{
			parent::__construct("Data type used is incorrect. Expected:$typeExpected. Actual: ".gettype($actualData),__LINE__);
		}
	}

}