<?php

namespace Gnupo\Cli
{

	/**
	 * Arguments parsing and holding
	 *
	 * @author miguel.trias
	 */
	class ParameterHolder
	{

		 private $parameters = array();

		 public function __construct(array $parameters=array())
		 {
			 $this->parameters = $parameters;
		 }

		 public function printAll()
		 {
				foreach ( $this->parameters as $k=>$v )
				{
					 echo "\n$k => $v";
				}
		 }

		 public function __get($parameterName)
		 {
			 return $this->get($parameterName);
		 }

		 public function get($parameterName,$default=null)
		 {
				if ( isset($this->parameters[$parameterName]) )
				{
					 return $this->parameters[$parameterName];
				} else return $default;
		 }

		 public function __set($parameterName,$value)
		 {
			 $this->parameters[$parameterName] = $value;
		 }

		 public function __isset($parameterName)
		 {
				return ( isset($this->parameters[$parameterName]) );
		 }

	 }
}