<?php

namespace Gnupo\Cli
{

	/**
	 * Printer class for output text in a CLI interface
	 *
	 * @author miguel.trias
	 */
	class Printer
	{
		 const COLOR_R = '[0;31m';  const COLOR_LR = '[1;31m';
		 const COLOR_B = '[0;34m';  const COLOR_LB = '[1;34m';
		 const COLOR_G = '[0;32m';  const COLOR_LG = '[1;32m';
		 const COLOR_C = '[0;36m';  const COLOR_LC = '[1;36m';

		 const COLOR_Y = '[1;33m';  const COLOR_BK = '[0;30m';
		 const COLOR_M = '[1;35m';  const COLOR_BW = '[0;33m';
		 const COLOR_W = '[1;37m';

		 const COLOR_NORMAL     = '[0m';
		 const COLOR_BOLD       = '[1m';
		 const COLOR_UNDERSCORE = '[4m';
		 const COLOR_REVERSE    = '[7m';

		 public function out ($text, $color=self::COLOR_W)
		 {
				echo $this->colorize($text, $color);
		 }

		 public function colorize ($str,$color)
		 {
			  if (false===\stristr(PHP_OS,'win'))
				{
					/** @todo BUG... Dont know why the character inmediate to colors code is hidden (this is the las "a") */
					return chr(27).$color.$str.chr(27).chr(27)."[0m".chr(27)."a";
				} else return $str;
		 }
	}
}