<?php

/**
 * @author miguel.trias
 */
class LoaderTester extends \Autoloading\Loader {

		protected function __construct()
	  {
			parent::__construct();
		}

		public static function getInstance($autoregister=true)
		{
			if ( !(self::$instance instanceof self) )
			{
				self::$instance = new self($autoregister);
			}
			return self::$instance;
		}

		/**
		 * Deletes all cached maps. Is only used for testing purposes, that is because its here and not in \Autoloading\Loader
		 */
		public function deleteLoadedMaps()
		{
			foreach ($this->loadedMaps as $mappedPath=>$mapFile)
			{
				if (is_file($mapFile))
				{
					if ( @unlink($mapFile) )
					{
						 # Cant delete classes loaded from memory. If you can, uncomment this line
						 # unset($this->loadedMaps[$k]);
					} else {
						self::includeExceptionFile();
						throw new ExceptionCantunlinkmapfile($mapFile);
					}
				}
			}
		}

}