<?php

/**
 * requires PHP-Unit Testing Framework
 */
require_once 'PHPUnit/Framework.php';
require_once 'PHPUnit/Extensions/Database/TestCase.php';

/**
 * Configuro la clase Autoload para facilitar la inclusion de archivos en los tests
 */
require_once realpath(dirname(__FILE__).DIRECTORY_SEPARATOR.'..'.DIRECTORY_SEPARATOR.'..')
             .DIRECTORY_SEPARATOR.'lib'
             .DIRECTORY_SEPARATOR.'Autoloading'
             .DIRECTORY_SEPARATOR.'Loader.class.php';

use \Autoloading\Loader as Loader;             
             
$Autoload = Loader::getInstance(true);

# Autoload only parse .php files and excludes .svn and .sql
$Autoload->setFilter(array(".php"),array(".svn",".sql"));

# Do not let autoload to use caching for this tests. This can slow tests but lets add classes without worring about cache
$Autoload->setUseMapsCache(false);

# Parses all /lib directory
$Autoload->addPath ( realpath( dirname(__FILE__)
                   . DIRECTORY_SEPARATOR.'..'
                   . DIRECTORY_SEPARATOR.'..' . DIRECTORY_SEPARATOR . 'lib'
                   ) );

# Configuro el reporte de errores deseado
error_reporting(E_ALL);
ini_set('display_errors',1);